#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);

    long long n, m;
    cin >> n >> m;
    if(n < 3 || m < 3) cout << n * m;
    else cout << 2 * n + 2*(m - 2) + (n - 2)*(m - 2)/2;
}